Subject: [Fot] Sponsoring Jeff King, second generation Triumph racer!

From: yellow04 via Fot <[email-masked]>
Date: Mon, 16 May 2022 10:52:09 -0400

I had the pleasure to meet the Jeff King, the son of Paul King while 
helping out at the VRG drivers school this weekend. Jeff earned his 
provisional racing license last week and ran most of the Jefferson 500, 
until what we think is the gearbox let him down.

I am pleased to sponsor Jeff King to our group, Jeff will be seen 
competing in events in the northeast in the King screaming yellow GT6. 
We are hoping to find the bits needed to get the car back in shape for 
Thompson next month.

Please give a warm welcome to our newest member!

Jeff King
[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot